# i2v (Image to Video)

I2V is a tool for converting a still image into a video. It uses the Stability.ai API to generate a video from a single image.

You can find the API documentation here: https://platform.stability.ai/docs/api-reference#tag/v2alphageneration/paths/~1v2alpha~1generation~1image-to-video/post

## Usage

To build the binary run:

```bash
go build -o i2v i2v/cmd/cli
```

To run the binary:

Set the `STABILITY_API_KEY` environment variable to your API key.

```bash
./i2v -o <path to output video> <path to input image>
```
